# http://www.igvita.com/blog (Ilya Grigorik)

require 'rubygems'
require 'pdf/writer'
require 'RMagick'

module Canvas
  class Canvas
    attr_accessor :name
    
    def initialize(name)
      @name, @doc = name, Pdf.new(name)     
      @maxWidth, @maxHeight = @doc.pdf.page_width, @doc.pdf.page_height    
      @x, @y = 0, @doc.pdf.y - 75 # offset the y-pointer
    end
    
    def save() @doc.save; end
  end
   
  private

  class Pdf
    attr_reader :name, :pdf
    
    def initialize(name)
      @name = name
      @pdf = PDF::Writer.new(:orientation => :landscape)
  
      # Set document meta-data
      @pdf.info.title = @name
      @pdf.info.author = "Ilya Grigorik"
      @pdf.info.subject = "Calendar"
      @pdf.margins_pt(0, 0, 0, 0)	 # top, left, bottom, right 
    end

    def save() @pdf.save_as(@name); end
    def addImage(*attrs) @pdf.add_image_from_file(*attrs); end
  end
end